%define ruby_version %(ruby -e "print RUBY_VERSION.tr('.', '')")
%define ruby_prefix %(ruby -rrbconfig -e 'print RbConfig::CONFIG["prefix"]')
%define ruby_vendor_lib_dir %(ruby -rrbconfig -e 'print RbConfig::CONFIG["vendorlibdir"]')

%if %{rhel} >= 8
%define required_ruby_package ruby
%else
%define required_ruby_package rh-ruby30-ruby
%endif

%undefine _hardened_build

Summary: A milter to use milters effectively
Name: milter-manager
Version: 2.1.7
Release: 1%{?dist}
License: GPLv3+ and LGPLv3+
URL: https://milter-manager.osdn.jp/
Group: System Environment/Daemons
Packager: Sutou Kouhei <kou@clear-code.com>
Source: https://osdn.net/dl/milter-manager/milter-manager-2.1.7.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: intltool
BuildRequires: libev-devel
BuildRequires: make
BuildRequires: %{required_ruby_package} %{required_ruby_package}-devel
BuildRequires: systemd-units
BuildRequires: systemd
%{systemd_requires}
Requires: %{name}-libs = %{version}-%{release}
Requires: ruby-milter-client = %{version}-%{release}
Requires: ruby-milter-server = %{version}-%{release}
Requires(pre): /usr/bin/getent, /usr/sbin/useradd
Requires(pre): /usr/bin/id, /usr/sbin/groupadd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel

%description
milter manager administrates milters instead of MTA to reduce milter
administration cost and combine milters flexibly.

%package libs
Summary: Runtime libraries for milter manager
Group: System Environment/Libraries
License: LGPLv3+
Requires: libev
%if %{rhel} >= 8
Requires: rubygem-rexml
%else
Requires: rh-ruby30-rubygem-rexml
%endif
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
This packages contains libraries for milter manager.

%package devel
Summary: Libraries and header files for milter manager
Group: Development/Libraries

%description devel
Libraries and header files for milter manager

%package -n libmilter-core
Summary: A common library for milter protocol libraries
Group: System Environment/Libraries
License: LGPLv3+
Obsoletes: libmilter-toolkit < 1.6.6-0

%description -n libmilter-core
Common libraries for both of client-side and server-side milter protocol
libraries.
This package contains the library files required for libmilter-client
and libmilter-server.

%package -n libmilter-core-devel
Summary: Development files for libmilter-core
Group: Development/Libraries
License: LGPLv3+
Obsoletes: libmilter-toolkit-devel < 1.6.6-0
Requires: glib2-devel
Requires: libmilter-core = %{version}-%{release}

%description -n libmilter-core-devel
This package contains the headers, and other support files
required for developing applications against libmilter-core.

%package -n libmilter-client
Summary: A client-side milter protocol library
Group: System Environment/Libraries
License: LGPLv3+
Obsoletes: libmilter-toolkit < 1.6.6-0
Requires: libmilter-core = %{version}-%{release}

%description -n libmilter-client
Client-side milter protocol is implemented.
This package contains the library files required for running services
built using libmilter-client.

%package -n libmilter-client-devel
Summary: Development files for libmilter-client
Group: Development/Libraries
License: LGPLv3+
Obsoletes: libmilter-toolkit-devel < 1.6.6-0
Requires: libmilter-core-devel = %{version}-%{release}
Requires: libmilter-client = %{version}-%{release}

%description -n libmilter-client-devel
This package contains the headers, and other support files
required for developing applications against libmilter-client.

%package -n libmilter-server
Summary: A server-side milter protocol library
Group: System Environment/Libraries
License: LGPLv3+
Obsoletes: libmilter-toolkit < 1.6.6-0
Requires: libmilter-server = %{version}-%{release}

%description -n libmilter-server
Server-side milter protocol is implemented.
This package contains the library files required for running services
built using libmilter-server.

%package -n libmilter-server-devel
Summary: Development files for libmilter-server
Group: Development/Libraries
License: LGPLv3+
Obsoletes: libmilter-toolkit-devel < 1.6.6-0
Requires: libmilter-core-devel = %{version}-%{release}
Requires: libmilter-server = %{version}-%{release}

%description -n libmilter-server-devel
This package contains the headers, and other support files
required for developing applications against libmilter-server.

%package -n ruby-milter-core
Summary: Ruby bindings for libmilter-core
Group: Development/Libraries
License: LGPLv3+
Obsoletes: ruby-milter-toolkit < 1.6.6-0
Requires: %{required_ruby_package}
Requires: libmilter-core = %{version}-%{release}

%description -n ruby-milter-core
This package contains the Ruby bindings for libmilter-core.

%package -n ruby-milter-client
Summary: Ruby bindings for libmilter-client
Group: Development/Libraries
License: LGPLv3+
Obsoletes: ruby-milter-toolkit < 1.6.6-0
Requires: %{required_ruby_package}
Requires: libmilter-client = %{version}-%{release}
Requires: ruby-milter-core = %{version}-%{release}

%description -n ruby-milter-client
This package contains the Ruby bindings for libmilter-client.

%package -n ruby-milter-server
Summary: Ruby bindings for libmilter-server
Group: Development/Libraries
License: LGPLv3+
Obsoletes: ruby-milter-toolkit < 1.6.6-0
Requires: %{required_ruby_package}
Requires: libmilter-server = %{version}-%{release}

%description -n ruby-milter-server
This package contains the Ruby bindings for libmilter-server.

%package -n libmilter-compatible
Summary: libmilter API and ABI compatible milter library
Group: System Environment/Libraries
License: LGPLv3+
Requires: libmilter-client = %{version}-%{release}
Requires: ruby-milter-core = %{version}-%{release}

%description -n libmilter-compatible
A libmilter API and ABI compatible library based on libmilter-toolkit.
This package contains the library files required for running services
built using Sendmail libmilter or libmilter-compatible.

%package -n libmilter-compatible-devel
Summary: Development files for libmilter-compatible
Group: Development/Libraries
License: LGPLv3+
Requires: libmilter-client-devel = %{version}-%{release}
Requires: libmilter-compatible = %{version}-%{release}

%description -n libmilter-compatible-devel
This package contains the headers, and other support files
required for developing applications against libmilter-compatible.

%package munin-plugins
Summary: Munin plugins for milter manager
Group: System Environment/Libraries
License: LGPLv3+
Requires: munin-node
Requires: milter-manager = %{version}-%{release}

%description munin-plugins
This package contains the munin plugins for munin-node.

%package log-analyzer
Summary: Analyze milter-manager's log
Group: Applications/System
License: GPLv3+
Requires: milter-manager = %{version}-%{release}
Requires: %{required_ruby_package}
Requires: rrdtool

%description log-analyzer
This provides a Ruby script to generate some graphs from
milter-manager's log.

%package doc
Summary: Documentation for milter manager
Group: Documentation
License: GFDL and Public Domain

%description doc
Documentation for milter manager

%prep
%setup -q

%build
gem install gio2
%configure								\
    --disable-static							\
    --with-default-effective-user=milter-manager			\
    --with-default-effective-group=milter-manager			\
    --with-default-socket-group=milter-manager				\
    --with-default-pid-file=/var/run/milter-manager/milter-manager.pid	\
    --with-default-connection-spec=unix:/var/run/milter-manager/milter-manager.sock \
    --with-ruby=$(command -v ruby)					\
    --enable-ruby-milter

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{ruby_prefix}/
cp -a %{ruby_prefix}/local %{buildroot}/%{ruby_prefix}/

make install DESTDIR=%{buildroot}
install -D -m 644 %{buildroot}/%{_datadir}/milter-manager/milter-manager.service %{buildroot}/%{_unitdir}/milter-manager.service
find $RPM_BUILD_ROOT%{_libdir}/ -name \*.la | xargs rm

chmod 600 %{buildroot}%{_sysconfdir}/cron.d/milter-manager-log

mkdir -p %{buildroot}%{_localstatedir}/run/milter-manager/

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
cat <<EOC > %{buildroot}%{_sysconfdir}/httpd/conf.d/milter-manager-log.conf
Alias /milter-manager-log/ %{_localstatedir}/lib/milter-manager/public_html/log/
EOC

mv %{buildroot}%{_datadir}/milter-manager/munin/ %{buildroot}%{_datadir}/
mkdir -p %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/
cat <<EOC > %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/milter-manager
[milter_manager_*]
  user milter-manager
  env.logdir %{_localstatedir}/lib/milter-manager/public_html/log
EOC

%clean
rm -rf %{buildroot}

%pre
if ! /usr/bin/getent group milter-manager &>/dev/null; then
    /usr/sbin/groupadd -r milter-manager || \
        %logmsg "Unexpected error adding group \"milter-manager\". Aborting installation."
fi
if ! /usr/bin/id milter-manager &>/dev/null; then
    /usr/sbin/useradd \
        --system \
        --shell /sbin/nologin \
        --comment 'milter manager' \
        --home-dir %{_localstatedir}/lib/milter-manager \
        --create-home \
        --key UMASK=022 \
        --gid milter-manager \
        milter-manager || \
        %logmsg "Unexpected error adding user \"milter-manager\". Aborting installation."
fi

%post
%systemd_post milter-manager.service
/bin/mkdir -p /var/run/milter-manager
/bin/chown -R milter-manager:milter-manager /var/run/milter-manager

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post munin-plugins
/usr/sbin/munin-node-configure --shell --remove-also | \
    grep -e '\(milter_manager_\|\(postfix\|sendmail\)_processes\)' | \
    sh
[ -f /var/lock/subsys/munin-node ] && \
    /sbin/service munin-node restart > /dev/null 2>&1
:

%post -n libmilter-core -p /sbin/ldconfig
%postun -n libmilter-core -p /sbin/ldconfig

%post -n libmilter-client -p /sbin/ldconfig
%postun -n libmilter-client -p /sbin/ldconfig

%post -n libmilter-server -p /sbin/ldconfig
%postun -n libmilter-server -p /sbin/ldconfig

%preun
%systemd_preun milter-manager.service

%postun
%systemd_postun milter-manager.service
if [ $1 -eq 0 ]; then
    /sbin/ldconfig
    /usr/sbin/userdel -r milter-manager || \
	%logmsg "User \"milter-manager\" could not be deleted."
fi

%postun munin-plugins
if [ $1 -eq 0 ]; then
    rm %{_sysconfdir}/munin/plugins/milter_manager_* > /dev/null 2>&1
    rm %{_sysconfdir}/munin/plugins/postfix_processes > /dev/null 2>&1
    rm %{_sysconfdir}/munin/plugins/sendmail_processes > /dev/null 2>&1
    [ -f /var/lock/subsys/munin-node ] && \
	/sbin/service munin-node restart > /dev/null 2>&1
    :
fi

%files
%defattr(-, root, root, -)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/milter-manager/license/
%{_bindir}/milter-performance-check
%{_bindir}/milter-report-statistics
%{_sbindir}/milter-manager
%{_mandir}/man1/milter-performance-check.*
%{_mandir}/man1/milter-report-statistics.*
%{_mandir}/man1/milter-manager.*
%{_mandir}/ja/man1/milter-performance-check.*
%{_mandir}/ja/man1/milter-report-statistics.*
%{_mandir}/ja/man1/milter-manager.*
%{_unitdir}/milter-manager.service
%{_datadir}/milter-manager/milter-manager.service
%config(noreplace) %{_sysconfdir}/sysconfig/milter-manager
%config(noreplace) %{_sysconfdir}/milter-manager/milter-manager.conf
%config %{_sysconfdir}/milter-manager/defaults/
%config %{_sysconfdir}/milter-manager/applicable-conditions/
%config %{_sysconfdir}/milter-manager/models/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/milter-manager-log.conf

%defattr(-, milter-manager, milter-manager, 0755)
%dir %{_localstatedir}/run/milter-manager/

%files libs
%defattr(-, root, root, -)
%{_libdir}/libmilter-manager.so.*
%{_libdir}/milter-manager/binding/ext/milter_manager.*
%{_libdir}/milter-manager/binding/lib/milter/manager.rb
%{_libdir}/milter-manager/binding/lib/milter/manager/
%{_libdir}/milter-manager/module/

%files devel
%defattr(-, root, root, -)
%{_includedir}/milter-manager/milter/manager.h
%{_includedir}/milter-manager/milter/manager/
%{_libdir}/libmilter-manager.so
%{_libdir}/pkgconfig/milter-manager.pc

%files -n libmilter-core
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%{_libdir}/libmilter-core.so.*

%files -n libmilter-core-devel
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{_includedir}/milter-manager/milter/core.h
%{_includedir}/milter-manager/milter/core/
%{_libdir}/libmilter-core.so
%{_libdir}/pkgconfig/milter-core.pc

%files -n libmilter-client
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%{_bindir}/milter-test-client
%{_libdir}/libmilter-client.so.*
%{_mandir}/man1/milter-test-client.*
%{_mandir}/ja/man1/milter-test-client.*

%files -n libmilter-client-devel
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{_includedir}/milter-manager/milter/client.h
%{_includedir}/milter-manager/milter/client/
%{_libdir}/libmilter-client.so
%{_libdir}/pkgconfig/milter-client.pc

%files -n libmilter-server
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%{_bindir}/milter-test-server
%{_libdir}/libmilter-server.so.*
%{_mandir}/man1/milter-test-server.*
%{_mandir}/ja/man1/milter-test-server.*

%files -n libmilter-server-devel
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{_includedir}/milter-manager/milter/server.h
%{_includedir}/milter-manager/milter/server/
%{_libdir}/libmilter-server.so
%{_libdir}/pkgconfig/milter-server.pc

%files -n ruby-milter-core
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{ruby_prefix}/local/lib*/gems/
%{ruby_prefix}/local/share/gems/
%{ruby_vendor_lib_dir}/milter/core.rb
%{_libdir}/milter-manager/binding/ext/milter_core.so
%{_libdir}/milter-manager/binding/ext/rb-milter-core.h
%{_libdir}/milter-manager/binding/lib/milter.rb
%{_libdir}/milter-manager/binding/lib/milter/core.rb
%{_libdir}/milter-manager/binding/lib/milter/core/
%{_libdir}/pkgconfig/ruby-milter-core.pc

%files -n ruby-milter-client
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{ruby_vendor_lib_dir}/milter.rb
%{ruby_vendor_lib_dir}/milter/client.rb
%{_libdir}/milter-manager/binding/ext/milter_client.so
%{_libdir}/milter-manager/binding/ext/rb-milter-client.h
%{_libdir}/milter-manager/binding/lib/milter/client.rb
%{_libdir}/milter-manager/binding/lib/milter/client/
%{_datadir}/milter-manager/sample/ruby/*
%{_libdir}/pkgconfig/ruby-milter.pc
%{_libdir}/pkgconfig/ruby-milter-client.pc

%files -n ruby-milter-server
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{ruby_vendor_lib_dir}/milter/server.rb
%{_libdir}/milter-manager/binding/ext/milter_server.so
%{_libdir}/milter-manager/binding/ext/rb-milter-server.h
%{_libdir}/milter-manager/binding/lib/milter/server.rb
%{_libdir}/milter-manager/binding/lib/milter/server/
%{_libdir}/pkgconfig/ruby-milter-server.pc

%files -n libmilter-compatible
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%{_bindir}/milter-test-client-libmilter
%{_libdir}/milter-manager/libmilter.so.*

%files -n libmilter-compatible-devel
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%doc %{_datadir}/gtk-doc/html/milter-manager/
%{_includedir}/milter-manager/libmilter/
%{_libdir}/milter-manager/libmilter.so
%{_libdir}/pkgconfig/libmilter.pc

%files munin-plugins
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%{_datadir}/munin/
%config %{_sysconfdir}/munin/plugin-conf.d/

%files log-analyzer
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO
%{_bindir}/milter-manager-log-analyzer
%{_mandir}/man1/milter-manager-log-analyzer.*
%{_mandir}/ja/man1/milter-manager-log-analyzer.*
%config(noreplace) %{_sysconfdir}/cron.d/

%files doc
%defattr(-,root,root,-)
%doc README
%doc %{_datadir}/gtk-doc/html/milter-manager/


%changelog
* Wed Sep 28 2022 Sutou Kouhei <kou@clear-code.com> - 2.1.7-1
- new upstream release.

* Thu Jan 13 2022 Kentaro Hayashi <hayashi@clear-code.com> - 2.1.6-1
- new upstream release.

* Tue Sep 10 2019 Kentaro Hayashi <hayashi@clear-code.com> - 2.1.5-1
- new upstream release.

* Fri Jul 06 2018 Kenji Okimoto <okimoto@clear-code.com> - 2.1.4-1
- new upstream release.

* Thu Jul 05 2018 Kenji Okimoto <okimoto@clear-code.com> - 2.1.3-1
- new upstream release.

* Tue Jul 03 2018 Kenji Okimoto <okimoto@clear-code.com> - 2.1.2-1
- new upstream release.

* Wed Jun 28 2017 Kenji Okimoto <okimoto@clear-code.com> - 2.1.1-1
- new upstream release.

* Mon Nov 21 2016 Kenji Okimoto <okimoto@clear-code.com> - 2.1.0-1
- new upstream release.

* Wed Jun 15 2016 Kenji Okimoto <okimoto@clear-code.com> - 2.0.9-1
- new upstream release.

* Wed Jun 15 2016 HAYASHI Kentaro <hayashi@clear-code.com> - 2.0.8-1
- new upstream release.

* Mon Nov 30 2015 Kenji Okimoto <okimoto@clear-code.com> - 2.0.7-1
- new upstream release.

* Mon Nov 30 2015 Kenji Okimoto <okimoto@clear-code.com> - 2.0.6-1
- new upstream release.

* Tue Dec 09 2014 Kenji Okimoto <okimoto@clear-code.com> - 2.0.5-1
- new upstream release.

* Thu Jun 19 2014 Kenji Okimoto <okimoto@clear-code.com> - 2.0.4-1
- new upstream release.

* Tue May 20 2014 Kenji Okimoto <okimoto@clear-code.com> - 2.0.3-1
- new upstream release.

* Mon Jan 27 2014 Kenji Okimoto <okimoto@clear-code.com> - 2.0.2-1
- new upstream release.

* Fri Jan 24 2014 Kenji Okimoto <okimoto@clear-code.com> - 2.0.1-1
- new upstream release.

* Thu Jul 25 2013 Kenji Okimoto <okimoto@clear-code.com> - 2.0.0-1
- new upstream release.

* Fri Jun 28 2013 Kenji Okimoto <okimoto@clear-code.com> - 1.8.9-1
- new upstream release.

* Tue Jun 25 2013 Kenji Okimoto <okimoto@clear-code.com> - 1.8.8-0
- new upstream release.

* Fri Jun 14 2013 Kenji Okimoto <okimoto@clear-code.com> - 1.8.7-0
- new upstream release.

* Thu Mar 07 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.8.6-0
- new upstream release.

* Mon Dec 03 2012 Kenji Okimoto <okimoto@clear-code.com> - 1.8.5-0
- new upstream release.

* Wed Nov 21 2012 Kenji Okimoto <okimoto@clear-code.com> - 1.8.4-0
- new upstream release.

* Tue May 22 2012 Kenji Okimoto <okimoto@clear-code.com> - 1.8.3-0
- new upstream release.

* Mon May 07 2012 Kouhei Sutou <kou@clear-code.com> - 1.8.2-1
- change the default socket group to milter-manager.

* Tue Nov 29 2011 Kenji Okimoto <okimoto@clear-code.com> - 1.8.2-0
- new upstream release.

* Sat Nov 12 2011 Kenji Okimoto <okimoto@clear-code.com> - 1.8.1-0
- new upstream release.

* Fri Jun 10 2011 Kouhei Sutou <kou@clear-code.com> - 1.8.0-0
- new upstream release.

* Tue Apr 26 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.9-0
- new upstream release.

* Fri Apr 15 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.8-0
- new upstream release.

* Fri Apr 08 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.7-0
- new upstream release.

* Fri Apr 08 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.6-2
- add missing dependencies.

* Fri Apr 08 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.6-1
- fix init.d/ path.
- add Obsoletes.

* Wed Apr 06 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.6-0
- new upstream release.
- split toolkit to core, client and server.

* Wed Jan 26 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.5-0
- new upstream release.

* Fri Jan 21 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.4-0
- new upstream release.

* Thu Jan 20 2011 Kouhei Sutou <kou@clear-code.com> - 1.6.3-0
- new upstream release.

* Tue Nov 23 2010 Kouhei Sutou <kou@clear-code.com>
- (1.6.2-0)
- new upstream release

* Sat Aug 21 2010 Kouhei Sutou <kou@clear-code.com>
- (1.6.1-0)
- new upstream release

* Wed Aug 11 2010 Kouhei Sutou <kou@clear-code.com>
- (1.6.0-0)
- new upstream release

* Tue Aug 03 2010 Kouhei Sutou <kou@clear-code.com>
- (1.5.3-1)
- new upstream release

* Sat May 29 2010 Kouhei Sutou <kou@clear-code.com>
- (1.5.2-2)
- new upstream release

* Tue Apr 20 2010 Kouhei Sutou <kou@clear-code.com>
- (1.5.1-2)
- new upstream release

* Mon Mar 29 2010 Kouhei Sutou <kou@clear-code.com>
- (1.5.0-16)
- new upstream release

* Thu Oct 29 2009 Kouhei Sutou <kou@clear-code.com>
- (1.4.1-0)
- new upstream release

* Tue Oct 13 2009 Kouhei Sutou <kou@clear-code.com>
- (1.4.0-0)
- new upstream release

* Wed Sep 16 2009 Kouhei Sutou <kou@clear-code.com>
- (1.3.1-0)
- new upstream release

* Wed Aug 12 2009 Kouhei Sutou <kou@clear-code.com>
- (1.3.0-0)
- new upstream release

* Fri Jul 17 2009 Kouhei Sutou <kou@clear-code.com>
- (1.2.0-0)
- new upstream release

* Fri Jul 03 2009 Kouhei Sutou <kou@clear-code.com>
- (1.1.1-0)
- new upstream release

* Tue Jun 02 2009 Kouhei Sutou <kou@clear-code.com>
- (1.1.0-0)
- initial 1.1.x development seriese release

* Thu Apr 16 2009 Kouhei Sutou <kou@clear-code.com>
- (1.0.0-1)
- initial stable release
